Bug 442713 - ftp case directive botches mget when mixed case filenames exit
ftp case directive botches mget when mixed case filenames exit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On: 442710
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 08:36 EDT by ritz
Modified: 2009-06-10 11:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (552 bytes, patch)
2008-04-16 08:41 EDT, ritz
no flags Details | Diff
Alternate patch (528 bytes, patch)
2008-04-16 13:20 EDT, ritz
no flags Details | Diff

  None (edit)
Description ritz 2008-04-16 08:36:17 EDT
+++ This bug was initially created as a clone of Bug #442710 +++

Description of problem: 
ftp can overwrite files with the wrong content or fail to get/put files when
mixed-case filenames are involved.

Version-Release number of selected component (if applicable):
ftp-0.17-47

How reproducible: 
always

Steps to Reproduce: 

1.  Login to a linux box and install/start up vsftpd.  
2.  Create the following files in /var/ftp/pub
  * Test1.out1
  * TEST2.OUT2
  * tesT3.Out3

3. Connect to ftp server

ftp> ls
227 Entering Passive Mode (9,67,58,187,198,5)
150 Here comes the directory listing.
-rw-rw-r--    1 503      503            11 Apr 11 15:33 TEST2.OUT2
-rw-rw-r--    1 503      503            11 Apr 11 15:32 Test1.out1
-rw-rw-r--    1 503      503            11 Apr 11 15:33 tesT3.Out3
226 Directory send OK.
ftp> prompt
Interactive mode off.
ftp> case
Case mapping on.
ftp> mget *
local: test2.out2 remote: TEST2.OUT2
227 Entering Passive Mode (9,67,58,187,161,53)
150 Opening BINARY mode data connection for TEST2.OUT2 (11 bytes).
226 File send OK.
11 bytes received in 0.0086 seconds (1.3 Kbytes/s)
local: test2.out2 remote: Test1.out1
227 Entering Passive Mode (9,67,58,187,23,178)
150 Opening BINARY mode data connection for Test1.out1 (11 bytes).
226 File send OK.
11 bytes received in 0.0037 seconds (2.9 Kbytes/s)
local: test2.out2 remote: tesT3.Out3
227 Entering Passive Mode (9,67,58,187,72,19)
150 Opening BINARY mode data connection for tesT3.Out3 (11 bytes).
226 File send OK.
11 bytes received in 0.006 seconds (1.8 Kbytes/s)

Actual results:  
local filename for the second 2nd and 3rd files transfered is the same as the
first.  The end result is a single file in the local directory called test2.out2
with the contents of tesT3.Out3

Expected results:  
3 files transfered with their original contents.  Only the file with all
uppercase in the name is translated to lowercase (according to the ftp manpage
at least.)

Additional info:
patch attached

-- Additional comment from rkhadgar@redhat.com on 2008-04-16 08:19 EST --
Created an attachment (id=302589)
patch
Comment 1 ritz 2008-04-16 08:41:52 EDT
Created attachment 302592 [details]
patch
Comment 2 ritz 2008-04-16 13:20:16 EDT
Created attachment 302645 [details]
Alternate patch

alternate version, submitted by the customer.
Comment 3 Nalin Dahyabhai 2008-04-16 19:09:29 EDT
This'll be fixed in krb5-1.6.3-13.fc9, though it might not make the F9 freeze
proper given the timing.
Comment 4 Bug Zapper 2008-05-14 05:31:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:13:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nalin Dahyabhai 2009-06-10 11:23:40 EDT
The current package for F9 (1.6.3-16.fc9) incorporated this fix, closing.

Note You need to log in before you can comment on or make changes to this bug.